Name:           keepass
Version:        2.30
Release:        1%{?dist}
Summary:        Password manager
Packager:       Django <django@mailserver.guru>
Distribution:   CentOS 7

License:        GPLv2+
URL:            http://keepass.info/

# Created with, e.g.:
# version=2.25 tmpdir=`mktemp -d` && cd $tmpdir && curl -LRO http://downloads.sourceforge.net/project/keepass/KeePass%202.x/$version/KeePass-$version-Source.zip && mkdir keepass-$version && unzip -d keepass-$version KeePass-$version-Source.zip && find keepass-$version -name "*dll" -delete && tar -cJf keepass-$version.tar.xz keepass-$version
Source0:        %{name}-%version.tar.gz

# Upstream does not include a .desktop file, etc..
Patch0:         keepass-desktop-integration.patch
Patch3:         keepass-appdata.patch

# Move XSL files to /usr/share/keepass:
Patch1:         keepass-fix-XSL-search-path.patch

# Locate locally-installed help files:
Patch2:         keepass-enable-local-help.patch

ExcludeArch:    armv7hl
BuildRequires:  mono-devel archmage desktop-file-utils python-devel
Requires:       xdotool xsel hicolor-icon-theme


# The debuginfo package would be empty if created.
%global debug_package %{nil}


%description
KeePass is a free open source password manager, which helps you to
remember your passwords in a secure way. You can put all your passwords in
one database, which is locked with one master key or a key file.  You
only have to remember one single master password or select the key file
to unlock the whole database.


%prep
%autosetup -p1


%build
( cd Build && sh PrepMonoDev.sh )
xbuild /target:KeePass /property:Configuration=Release
%{__python2} -c 'import archmod.CHM; archmod.CHM.CHMDir("Docs").process_templates("Docs/Chm")'


%install
install -d %{buildroot}/%{_prefix}/lib/%{name} %{buildroot}/%{_datadir}/%{name} %{buildroot}/%{_datadir}/%{name}/XSL %{buildroot}/%{_datadir}/applications %{buildroot}/%{_bindir} %{buildroot}/%{_datadir}/mime/packages %{buildroot}/%{_datadir}/icons/hicolor/256x256/apps %{buildroot}/%{_mandir}/man1 %{buildroot}/%{_docdir}/%{name} %{buildroot}/%{_datadir}/appdata
install -p -m 0644 Build/KeePass/Release/KeePass.exe Ext/KeePass.config.xml Ext/KeePass.exe.config %{buildroot}/%{_prefix}/lib/%{name}
install -p -m 0644 Ext/XSL/KDBX_DetailsFull.xsl Ext/XSL/KDBX_DetailsLite.xsl Ext/XSL/KDBX_PasswordsOnly.xsl Ext/XSL/KDBX_Styles.css Ext/XSL/KDBX_Tabular.xsl Ext/XSL/TableHeader.gif %{buildroot}/%{_datadir}/%{name}/XSL
install -p -m 0644 -T Ext/Icons/Finals/plockb.png %{buildroot}/%{_datadir}/icons/hicolor/256x256/apps/%{name}.png
desktop-file-install --dir=%{buildroot}/%{_datadir}/applications dist/%{name}.desktop
install -p -m 0644 dist/%{name}.xml %{buildroot}/%{_datadir}/mime/packages
install -p -m 0644 dist/%{name}.1 %{buildroot}/%{_mandir}/man1
install -p -m 0644 dist/%{name}.appdata.xml %{buildroot}/%{_datadir}/appdata
install -p dist/%{name} %{buildroot}/%{_bindir}
sed 's/\r$//' Docs/History.txt > %{buildroot}/%{_docdir}/%{name}/History.txt
sed 's/\r$//' Docs/License.txt > %{buildroot}/%{_docdir}/%{name}/License.txt
cp -pr Docs/Chm %{buildroot}/%{_docdir}/%{name}/


%files
%dir %{_docdir}
%doc %{_docdir}/%{name}/History.txt
%doc %{_docdir}/%{name}/License.txt
%{_bindir}/%{name}
%{_prefix}/lib/%{name}
%{_datadir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_datadir}/mime
%{_datadir}/icons/hicolor/256x256/apps/keepass.png
%{_mandir}/man1/%{name}.1*
%{_datadir}/appdata/%{name}.appdata.xml


%post
/usr/bin/update-desktop-database &> /dev/null || :
/usr/bin/update-mime-database %{_datadir}/mime &> /dev/null || :
/bin/touch --no-create %{_datadir}/icons/hicolor &>/dev/null || :


%postun
/usr/bin/update-desktop-database &> /dev/null || :
/usr/bin/update-mime-database %{_datadir}/mime &> /dev/null || :
if [ $1 -eq 0 ] ; then
    /bin/touch --no-create %{_datadir}/icons/hicolor &>/dev/null
    /usr/bin/gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :
fi


%posttrans
/usr/bin/gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :


%package doc
Summary:        Documentation for the KeePass password manager
BuildArch: 	noarch

%description doc
Documentation for KeePass, a free open source password manager.

%files doc
%dir %{_docdir}
%doc %{_docdir}/%{name}/Chm/


%changelog
* Thu Nov 12 2015 Django <django@mailserver.guru> - 2.30-1
- New Features:
    When opening a database via an URL fails, the error message 
    dialog now has a button 'Specify different server credentials'
    (on Windows Vista and higher).
    Added support for opening entry URLs with Microsoft Edge via 
    the context menu -> 'URL(s)' -> 'Open with Edge'.
    Added URL override suggestion for Microsoft Edge in the URL 
    override suggestions drop-down list in the entry dialog.
    Added optional built-in global URL overrides for opening 
    HTTP/HTTPS URLs with Microsoft Edge.
    When clicking on a group link in the entry view, KeePass now 
    ensures that the group is visible in the group tree.
    The main window is now moved onto the primary screen when it 
    is restored outside all screens.
    KDBX loader: added support for non-empty protected binary 
    value reference elements.
    Plugins: added two auto-type sequence query events.
    Added workaround for Mono drawing bug when scrolling a rich 
    text box.
    When running under Mono, some automatic locking options are 
    now disabled (because Mono doesn't implement the required 
    events).
    The installer now prevents running the installer while it 
    is already running.
    KPScript: added '-GroupPath:' parameter (for specifying the 
    full path of a group).
    KPScript: the 'MoveEntry' command now also supports the 
    '-GroupName:' parameter (as alternative to '-GroupPath:').
    KPScript: added support for specifying the path of an XSL 
    stylesheet file using the command line parameter '-XslFile:'.
    KPScript: the 'ListGroups' command now also outputs the 
    parent group UUID for each group.
    KPScript: the parameters for specifying new field data 
    (for the 'AddEntry' and the 'EditEntry' command) now support 
    escape sequences (e.g. '\n' is replaced by a new-line 
    character).
- Improvements / Changes:
    The 'Synchronize' file dialog now shows only KDBX files by 
    default.
    In the 'Attachments (Count)' column, only non-zero counts 
    are shown now.
    Improved MRU item refreshes.
    The entry string dialog now supports changing the case of 
    a string name.
    The entry string dialog now does not allow adding a string 
    whose name differs from another existing string name in 
    this entry only by case.
    The entry view in the main window is now updated 
    immediately after pressing Ctrl+H or Ctrl+J.
    The KDB import module now tries to round any invalid 
    date/time to the nearest valid date/time.
    XML serializers are now loaded/created at KeePass startup 
    in order to avoid a problem when shutting down Windows 
    and KeePass.XmlSerializers.dll not being present.
    Changed tab bar behavior in the options dialog to avoid a 
    tab content cropping issue caused by plugins.
    Improved workaround for Mono splitter bug.
    Upgraded installer.
    Various performance improvements.
    Various code optimizations.
    Minor other improvements.

* Thu Nov 12 2015 Django <django@mailserver.guru> - 2.27-1
- Initial version for CentOS 7.

